public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-scheme/slib/
Date: Mon, 23 Dec 2024 14:19:29 +0000 (UTC)	[thread overview]
Message-ID: <1734963497.a727f2646e65b6f6e5b556936e3b87a242ef02bd.ulm@gentoo> (raw)

commit:     a727f2646e65b6f6e5b556936e3b87a242ef02bd
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 23 13:15:52 2024 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Dec 23 14:18:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a727f264

dev-scheme/slib: Fix assert usage

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 dev-scheme/slib/slib-3.3.1-r100.ebuild | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/dev-scheme/slib/slib-3.3.1-r100.ebuild b/dev-scheme/slib/slib-3.3.1-r100.ebuild
index dc08463bb4e8..897e2a76c744 100644
--- a/dev-scheme/slib/slib-3.3.1-r100.ebuild
+++ b/dev-scheme/slib/slib-3.3.1-r100.ebuild
@@ -62,9 +62,11 @@ _new_catalog() {
 
 guile_generate_catalog() {
 	# FIXME(arsen): we need to also compile the .go files..
-	local gpath="${ED}/$(${GUILE} -c '(display (%library-dir))')"
+	local gpath
+	gpath="${ED}/$(${GUILE} -c '(display (%library-dir))')" \
+		 || die "Could not determine the library directory"
 	local -x GUILE_IMPLEMENTATION_PATH="${gpath}"
-	assert "Could not determine the library directory"
+
 	mkdir -p "${gpath}" || die
 	ln -sr "${ED}/usr/share/slib" "${GUILE_IMPLEMENTATION_PATH}/slib" \
 		|| die
@@ -73,8 +75,7 @@ guile_generate_catalog() {
 			   -c "
 		(use-modules (ice-9 slib))
 		(require 'new-catalog)
-	"
-	assert "Failed to generate catalogs for Guile"
+	" || die "Failed to generate catalogs for Guile"
 }
 
 src_install() {


             reply	other threads:[~2024-12-23 14:19 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-23 14:19 Ulrich Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-19 14:10 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/slib/ Sam James
2024-11-19 14:10 Sam James
2024-11-08 11:57 Sam James
2024-11-08  3:54 Sam James
2024-09-06 12:16 Sam James
2022-09-27 12:34 Maciej Barć
2022-09-27 12:34 Maciej Barć
2022-08-05 19:21 Maciej Barć
2022-08-05 19:03 Maciej Barć
2022-08-05 17:48 Maciej Barć
2021-01-06 22:31 Fabian Groffen
2018-10-17 17:23 Amy Liffey
2018-04-05 14:57 Aaron Bauman
2018-03-19  7:02 Mikle Kolyada
2018-03-17 18:16 Matt Turner
2018-03-05 10:36 Tobias Klausmann
2018-02-18 10:36 Sergei Trofimovich
2018-02-18  8:34 Sergei Trofimovich
2016-11-20 15:33 Ettore Di Giacinto
2016-10-24 20:12 Ettore Di Giacinto
2016-05-26  8:51 Tobias Klausmann
2016-03-20 11:53 Agostino Sarubbo
2016-03-06 12:58 Agostino Sarubbo
2015-08-13  0:22 Sebastian Pipping

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1734963497.a727f2646e65b6f6e5b556936e3b87a242ef02bd.ulm@gentoo \
    --to=ulm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox